#
# spec file for package krdc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           krdc
BuildRequires:  LibVNCServer-devel
BuildRequires:  freerdp
BuildRequires:  freerdp-devel
BuildRequires:  update-desktop-files
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5DNSSD)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  oxygen5-icon-theme-large
Version:        16.04.3
Release:        0
Summary:        Remote Desktop Connection
License:        GPL-2.0+
Group:          Productivity/Networking/Remote Desktop
Source0:        %{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM fix-bookmarks-migration.patch boo#983900, kde#361823 -- fix bookmarks migration from the KDE4 version
Patch:          fix-bookmarks-migration.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       freerdp
Requires:       breeze5-icons

%description
Krdc allows to connect to VNC and RDP compatible servers.

%package devel
Summary:        Development files for krdc
Group:          Development/Libraries/KDE
Requires:       krdc = %{version}

%description devel
Development libraries and headers needed to build software using krdc

%prep
%setup -q -n %{name}-%{version}
%patch -p1

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kf5 -d build
  make

%install
  %kf5_makeinstall -C build
  for i in 128 16 22 32 48 64
  do
     mkdir -p %{buildroot}%{_kf5_iconsdir}/hicolor/${i}x${i}/apps
     cp %{_kf5_iconsdir}/oxygen/${i}x${i}/apps/krdc.png %{buildroot}%{_kf5_iconsdir}/hicolor/${i}x${i}/apps/ \
     || cp %{_kf5_iconsdir}/oxygen/base/${i}x${i}/apps/krdc.png %{buildroot}%{_kf5_iconsdir}/hicolor/${i}x${i}/apps/
  done

  %suse_update_desktop_file -r org.kde.krdc         System   RemoteAccess

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%_bindir/krdc
%_libdir/libkrdccore.so.*
%_kf5_plugindir/krdc/
%_kf5_applicationsdir/org.kde.krdc.desktop
%dir %_kf5_configkcfgdir
%_kf5_configkcfgdir/krdc.kcfg
%_kf5_htmldir/en/krdc/
%_kf5_iconsdir/hicolor/*/apps/krdc.png
%_datadir/krdc/
%_kf5_servicesdir/krdc_vnc_config.desktop
%_kf5_servicesdir/vnc.protocol
%_kf5_kxmlguidir/krdc/
%{_kf5_servicesdir}/ServiceMenus/
%{_kf5_servicesdir}/krdc_rdp_config.desktop
%{_kf5_servicesdir}/rdp.protocol

%files devel
%defattr(-,root,root)
%_includedir/krdc/
%_includedir/krdccore_export.h
%_libdir/libkrdccore.so

%changelog
